Changes

Jump to navigation Jump to search

Octave for GNU/Linux

928 bytes removed, 09:04, 7 September 2013
→‎Ubuntu 12.04: move to the Debian page
sudo apt-get --purge remove octave3.2-common
sudo apt-get install octave3.2
=Ubuntu 12.04=
The package can be obtained from the Software Center but the Octave package is old (3.2). The most current stable version is available through a Personal Package Archive (PPA). You will need to add the PPA to you system. Execute the following in a terminal:
 
sudo apt-add-repository ppa:octave/stable
sudo apt-get update
 
If you need more information on adding a repository, visit [https://launchpad.net/~octave/+archive/stable GNU Octave Stable Releases] PPA. You can now install from the Software Center or a terminal.
 
To install Octave with documentation execute the following in a terminal:
 
sudo apt-get install octave octave-doc octave-info octave-htmldoc
 
If you want to be able to build packages from Octave Forge, you will want liboctave-dev package:
 
sudo apt-get install liboctave-dev
 
If you want Octave debugging symbols, use the following:
 
sudo apt-get install octave-dbg
 
=Fedora=
The packages can be installed using the yum command, they are:

Navigation menu